package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.RequirementMicroapp;
import com.lightinit.hsdataportal.entity.RequirementMicroappExample;
import java.util.List;

import com.lightinit.hsdataportal.entity.ResourceCatelog;
import com.lightinit.hsdataportal.model.APIReceiveListModel;
import com.lightinit.hsdataportal.model.RequirementMicroappListModel;
import com.lightinit.hsdataportal.model.RequirementMicroappSearchModel;
import com.lightinit.hsdataportal.model.RequirementMicroappViewModel;
import org.apache.ibatis.annotations.Param;

public interface RequirementMicroappMapper {
    long countByExample(RequirementMicroappExample example);

    int deleteByExample(RequirementMicroappExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementMicroapp record);

    int insertSelective(RequirementMicroapp record);

    List<RequirementMicroapp> selectByExample(RequirementMicroappExample example);

    RequirementMicroapp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementMicroapp record, @Param("example") RequirementMicroappExample example);

    int updateByExample(@Param("record") RequirementMicroapp record, @Param("example") RequirementMicroappExample example);

    int updateByPrimaryKeySelective(RequirementMicroapp record);

    int updateByPrimaryKey(RequirementMicroapp record);

    List<RequirementMicroappListModel> selectOpenList(RequirementMicroappSearchModel inputModel);

    long selectOpenCount(RequirementMicroappSearchModel inputModel);

    RequirementMicroappViewModel queryView(long id);

    List<APIReceiveListModel> selectReceiveList(Long id);

    List<ResourceCatelog> selectCatelog();
}